Bug 434072 - aria2 failed massrebuild attempt for GCC 4.3
aria2 failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: aria2 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michał Bentkowski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-22 08:01 EST by Jesse Keating
Modified: 2013-01-09 21:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-05 13:59:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 08:01:58 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=438479
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Tyler Owen 2008-02-22 08:39:55 EST
From Build.log:

SocketCore.cc: In member function 'void SocketCore::beginListen(int32_t)':
SocketCore.cc:105: error: 'memset' was not declared in this scope
SocketCore.cc: In member function 'SocketCore* SocketCore::acceptConnection()
const':
SocketCore.cc:125: error: 'memset' was not declared in this scope
SocketCore.cc: In member function 'void
SocketCore::getAddrInfo(std::pair<std::basic_string<char,
std::char_traits<char>, std::allocator<char> >, int>&) const':
SocketCore.cc:138: error: 'memset' was not declared in this scope
SocketCore.cc: In member function 'void
SocketCore::getPeerInfo(std::pair<std::basic_string<char,
std::char_traits<char>, std::allocator<char> >, int>&) const':
SocketCore.cc:150: error: 'memset' was not declared in this scope
SocketCore.cc: In member function 'void SocketCore::establishConnection(const
std::string&, int32_t)':
SocketCore.cc:174: error: 'memset' was not declared in this scope
SocketCore.cc: In member function 'int32_t SocketCore::shiftPeekData(char*,
int32_t)':
SocketCore.cc:415: error: 'memcpy' was not declared in this scope
SocketCore.cc:420: error: 'memcpy' was not declared in this scope
SocketCore.cc: In member function 'void SocketCore::addPeekData(char*, int32_t)':
SocketCore.cc:435: error: 'memcpy' was not declared in this scope
SocketCore.cc:440: error: 'memcpy' was not declared in this scope
SocketCore.cc: In member function 'int32_t SocketCore::gnutlsPeek(char*, int32_t)':
SocketCore.cc:461: error: 'memcpy' was not declared in this scope
SocketCore.cc:464: error: 'memcpy' was not declared in this scope
SocketCore.cc: In static member function 'static const char*
SocketCore::errorMsg(int)':
SocketCore.cc:559: error: 'strerror' was not declared in this scope
make[2]: *** [SocketCore.o] Error 1
Comment 2 Michał Bentkowski 2008-03-05 13:59:56 EST
fixed.

Note You need to log in before you can comment on or make changes to this bug.